VOP_ADVLOCK(9)

NAME
VOP_ADVLOCK - advisory record locking

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/fcntl.h>
#include <sys/lockf.h>
int
VOP_ADVLOCK(struct vnode *vp, caddr_t id, int op, struct flock *fl, int flags);

DESCRIPTION
The arguments are:

vp  The vnode being manipulated.

id  The id token which is changing the lock.

op  The operation to perform (see fcntl(2)).

fl  Description of the lock.

flags
    One of more of the following:

    F_RDLCK
        Shared or read lock.
    F_UNLCK
        Unlock.
    F_WRLCK
        Exclusive or write lock.
    F_WAIT
        Wait until lock is granted.
    F_FLOCK
        Use flock(2) semantics for lock.
    F_POSIX
        Use POSIX semantics for lock.

This entry point manipulates advisory record locks on the file. Most file systems delegate the work for this call to lf_advlock().

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
fcntl(2), flock(2), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.